# Method: customers.dpcs.list

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.ListDpcsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list#body.aspect)

Lists the DPCs (device policy controllers) that support zero-touch enrollment.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{parent=customers/*}/dpcs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer that can use the DPCs in configurations. An API resource name in the format `customers/[CUSTOMER_ID]`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message of customer's listing DPCs.

| JSON representation ||
|---|---|
| ``` { "dpcs": [ { object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs#Dpc`) } ] } ``` |

| Fields ||
|---|---|
| `dpcs[]` | ``object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs#Dpc`)`` The list of DPCs available to the customer that support zero-touch enrollment. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).